summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 20:00:09 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 20:00:09 +0200
commit777c44d483ddde1447430c71f7ee3d3f937daac8 (patch)
treebab08db92bc1be7de8f90d27cc3b3d3ef72c357f /desktop
parentb5d61a7e6f2ddcc3743f29d3cbca1d6177065049 (diff)
downloadslackbuilds-777c44d483ddde1447430c71f7ee3d3f937daac8.tar.gz
slackbuilds-777c44d483ddde1447430c71f7ee3d3f937daac8.tar.xz
desktop/murrine: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/murrine/README13
-rw-r--r--desktop/murrine/murrine.SlackBuild88
-rw-r--r--desktop/murrine/murrine.info8
-rw-r--r--desktop/murrine/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/desktop/murrine/README b/desktop/murrine/README
new file mode 100644
index 0000000000..ca7b9121a5
--- /dev/null
+++ b/desktop/murrine/README
@@ -0,0 +1,13 @@
+GTK2 engine that will make your desktop look like a 'murrina'.
+
+Murrine is an Italian word meaning the glass artworks done by
+Venicians glass blowers. Murrine Engine is a Gtk2 engine that
+will make your desktop look like a beautiful Murrina
+(which is the italian singular of Murrine).
+
+This script is written to install the "default" Murrine themepack for
+the murrine engine, and it will print an error (but allow you to continue)
+if you don't have the theme tarball in the build directory. You can obtain
+the Murrine themepack here:
+
+http://cimi.netsons.org/media/download_gallery/MurrineThemePack.tar.bz2
diff --git a/desktop/murrine/murrine.SlackBuild b/desktop/murrine/murrine.SlackBuild
new file mode 100644
index 0000000000..7db179a877
--- /dev/null
+++ b/desktop/murrine/murrine.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for murrine
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+# Modified by the SlackBuilds.org project to include theme support
+set -e
+
+PRGNAM=murrine
+VERSION=0.53.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# The default themepack for murrine is
+# http://cimi.netsons.org/media/download_gallery/MurrineThemePack.tar.bz2
+# Others may work fine here, but the script has not been tested with them.
+# If you want to use another theme or themepack, ammend the line below.
+THEME=MurrineThemePack
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-animation
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install a default set of themes in the right directory.
+if [ -r $CWD/$THEME.tar.bz2 ]; then
+ mkdir -p $PKG/usr/share/themes
+ ( cd $PKG/usr/share/themes
+ echo "Installing $THEME"
+ tar -xvjf $CWD/$THEME.tar.bz2
+ )
+else
+ # Warn users that the package may not work as expected
+ echo
+ echo "A usable theme tarball does not appear to exist in "
+ echo "$CWD"
+ echo "See the README for more information on where to download"
+ echo "this. (or you didn't edit the script to reflect it or "
+ echo "something else is broken)."
+ echo
+ echo "The script will continue to build a package, but some manual"
+ echo "setup may be required ager installation."
+ echo
+ echo "Type 'exit' to quit or any other key to continue the script."
+ read _continue
+ if [ "$_continue" = "exit" ]; then
+ exit 1
+ fi
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/murrine/murrine.info b/desktop/murrine/murrine.info
new file mode 100644
index 0000000000..db6bd2a188
--- /dev/null
+++ b/desktop/murrine/murrine.info
@@ -0,0 +1,8 @@
+PRGNAM="murrine"
+VERSION="0.53.1"
+HOMEPAGE="http://www.cimitan.com/murrine/project/murrine"
+DOWNLOAD="http://www.cimitan.com/murrine/files/murrine-0.53.1.tar.bz2"
+MD5SUM="09f014584ae593b9795f3f6db26005d8"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="alien,BP{k}"
diff --git a/desktop/murrine/slack-desc b/desktop/murrine/slack-desc
new file mode 100644
index 0000000000..3e77623b9a
--- /dev/null
+++ b/desktop/murrine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+murrine: murrine (a Gtk2 engine)
+murrine:
+murrine: Murrine is a Gtk2 engine that will make your desktop
+murrine: look like a Murrina. Written in C language, it uses
+murrine: cairo vectorial drawing library to draw widgets.
+murrine: It features a modern glassy look, and it is elegant
+murrine: and clean on the eyes.
+murrine: It is also extremely customizable.
+murrine:
+murrine: http://murrine.netsons.org/
+murrine: